regen from configure.ac 1.3 for <inttypes.h> change

This commit is contained in:
lukem 2002-01-10 04:32:18 +00:00
parent fe4a1b3537
commit c6934ce7ad
1 changed files with 38 additions and 76 deletions

114
tools/compat/configure vendored
View File

@ -2097,15 +2097,15 @@ EOF
fi
echo "$as_me:2100: checking for stddef.h" >&5
echo $ECHO_N "checking for stddef.h... $ECHO_C" >&6
if test "${ac_cv_header_stddef_h+set}" = set; then
echo "$as_me:2100: checking for sys/types.h stddef.h inttypes.h" >&5
echo $ECHO_N "checking for sys/types.h stddef.h inttypes.h... $ECHO_C" >&6
if test "${ac_cv_header_sys_types_h_stddef_h_inttypes_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 2106 "configure"
#include "confdefs.h"
#include <stddef.h>
#include <sys/types.h stddef.h inttypes.h>
_ACEOF
if { (eval echo "$as_me:2110: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@ -2124,65 +2124,27 @@ else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_stddef_h=yes
ac_cv_header_sys_types_h_stddef_h_inttypes_h=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_cv_header_stddef_h=no
ac_cv_header_sys_types_h_stddef_h_inttypes_h=no
fi
rm -f conftest.err conftest.$ac_ext
fi
echo "$as_me:2135: result: $ac_cv_header_stddef_h" >&5
echo "${ECHO_T}$ac_cv_header_stddef_h" >&6
echo "$as_me:2138: checking for sys/types.h" >&5
echo $ECHO_N "checking for sys/types.h... $ECHO_C" >&6
if test "${ac_cv_header_sys_types_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 2144 "configure"
#include "confdefs.h"
#include <sys/types.h>
_ACEOF
if { (eval echo "$as_me:2148: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:2154: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_cv_header_sys_types_h=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_cv_header_sys_types_h=no
fi
rm -f conftest.err conftest.$ac_ext
fi
echo "$as_me:2173: result: $ac_cv_header_sys_types_h" >&5
echo "${ECHO_T}$ac_cv_header_sys_types_h" >&6
echo "$as_me:2135: result: $ac_cv_header_sys_types_h_stddef_h_inttypes_h" >&5
echo "${ECHO_T}$ac_cv_header_sys_types_h_stddef_h_inttypes_h" >&6
for ac_func in errx fgetln setprogname
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:2179: checking for $ac_func" >&5
echo "$as_me:2141: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 2185 "configure"
#line 2147 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -2213,16 +2175,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2216: \"$ac_link\"") >&5
if { (eval echo "$as_me:2178: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2219: \$? = $ac_status" >&5
echo "$as_me:2181: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2222: \"$ac_try\"") >&5
{ (eval echo "$as_me:2184: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2225: \$? = $ac_status" >&5
echo "$as_me:2187: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -2232,7 +2194,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:2235: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:2197: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@ -2242,7 +2204,7 @@ EOF
fi
done
echo "$as_me:2245: checking for library containing fparseln" >&5
echo "$as_me:2207: checking for library containing fparseln" >&5
echo $ECHO_N "checking for library containing fparseln... $ECHO_C" >&6
if test "${ac_cv_search_fparseln+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2250,7 +2212,7 @@ else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_fparseln=no
cat >conftest.$ac_ext <<_ACEOF
#line 2253 "configure"
#line 2215 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2269,16 +2231,16 @@ fparseln ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2272: \"$ac_link\"") >&5
if { (eval echo "$as_me:2234: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2275: \$? = $ac_status" >&5
echo "$as_me:2237: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2278: \"$ac_try\"") >&5
{ (eval echo "$as_me:2240: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2281: \$? = $ac_status" >&5
echo "$as_me:2243: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_fparseln="none required"
else
@ -2290,7 +2252,7 @@ if test "$ac_cv_search_fparseln" = no; then
for ac_lib in util; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 2293 "configure"
#line 2255 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -2309,16 +2271,16 @@ fparseln ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:2312: \"$ac_link\"") >&5
if { (eval echo "$as_me:2274: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:2315: \$? = $ac_status" >&5
echo "$as_me:2277: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:2318: \"$ac_try\"") >&5
{ (eval echo "$as_me:2280: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:2321: \$? = $ac_status" >&5
echo "$as_me:2283: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_fparseln="-l$ac_lib"
break
@ -2331,7 +2293,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:2334: result: $ac_cv_search_fparseln" >&5
echo "$as_me:2296: result: $ac_cv_search_fparseln" >&5
echo "${ECHO_T}$ac_cv_search_fparseln" >&6
if test "$ac_cv_search_fparseln" != no; then
test "$ac_cv_search_fparseln" = "none required" || LIBS="$ac_cv_search_fparseln $LIBS"
@ -2420,7 +2382,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:2423: creating $CONFIG_STATUS" >&5
{ echo "$as_me:2385: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -2592,7 +2554,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:2595: error: ambiguous option: $1
{ { echo "$as_me:2557: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -2611,7 +2573,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:2614: error: unrecognized option: $1
-*) { { echo "$as_me:2576: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -2648,7 +2610,7 @@ do
# Handling of arguments.
"defs.mk" ) CONFIG_FILES="$CONFIG_FILES defs.mk" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:2651: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:2613: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -2846,7 +2808,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:2849: creating $ac_file" >&5
{ echo "$as_me:2811: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -2864,7 +2826,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:2867: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:2829: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -2877,7 +2839,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:2880: error: cannot find input file: $f" >&5
{ { echo "$as_me:2842: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -2937,7 +2899,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:2940: creating $ac_file" >&5
test x"$ac_file" != x- && { echo "$as_me:2902: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@ -2948,7 +2910,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:2951: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:2913: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -2961,7 +2923,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:2964: error: cannot find input file: $f" >&5
{ { echo "$as_me:2926: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -3078,7 +3040,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:3081: $ac_file is unchanged" >&5
{ echo "$as_me:3043: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \